/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.etype.oobj;

import javax.ejb.EntityBean;

import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Entity bean with container-managed persistence version 1.1,
 * with a field which is a serializable object.
 * @author Helene Joanin 
 * Contributor(s): 
 */

public class OobjEC extends OobjEC2 implements EntityBean {

    // State of the bean (CMP v1)
    public String pk;
    public Object f1;

    // Accessors implementation
    public String getPk() {
	logger.log(BasicLevel.DEBUG, "");
	return this.pk;
    }
    public void setPk(String pk) {
	logger.log(BasicLevel.DEBUG, "");
	this.pk = pk;
    }
    public Object getF1() {
	logger.log(BasicLevel.DEBUG, "");
	return this.f1;
    }
    public void setF1(Object f1) {
	logger.log(BasicLevel.DEBUG, "");
	this.f1 = f1;
    }

}
